gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.ModelView.CellRendererAccel

Contents

- Detail
- Class Hierarchy
- Types
- Enums
- Constructors
- Attributes
- Signals

Description

Renders a keyboard accelerator in a cell

- Module available since Gtk+ version 2.10

Synopsis

- data CellRendererAccel
- class CellRendererTextClass o => CellRendererAccelClass o
- castToCellRendererAccel :: GObjectClass obj => obj -> CellRendererAccel
- toCellRendererAccel :: CellRendererAccelClass o => o -> CellRendererAccel
- data CellRendererAccelMode
  - = CellRendererAccelModeGtk
  - | CellRendererAccelModeOther
- cellRendererAccelNew :: IO CellRendererAccel
- cellRendererAccelAccelKey :: CellRendererAccelClass self => Attr self Int
- cellRendererAccelAccelMods :: CellRendererAccelClass self => Attr self [Modifier]
- cellRendererAccelKeycode :: CellRendererAccelClass self => Attr self Int
- cellRendererAccelAccelMode :: CellRendererAccelClass self => Attr self CellRendererAccelMode
- accelEdited :: CellRendererAccelClass self => Signal self (String -> KeyVal -> Modifier -> KeyCode -> IO ())
- accelCleared :: CellRendererAccelClass self => Signal self (String -> IO ())

# Detail

`CellRendererAccel` displays a keyboard accelerator (i.e. a key combination like <Control>-a). If the cell renderer is editable, the accelerator can be changed by simply typing the new combination.

The `CellRendererAccel` cell renderer was added in Gtk+ 2.10.

# Class Hierarchy

     | GObject
     | +----Object
     | +----CellRenderer
     | +----CellRendererText
     | +----CellRendererAccel

# Types

data CellRendererAccel

Instances

Eq CellRendererAccel |
Ord CellRendererAccel |
GObjectClass CellRendererAccel |
CellRendererAccelClass CellRendererAccel |
CellRendererTextClass CellRendererAccel |
CellRendererClass CellRendererAccel |
ObjectClass CellRendererAccel |

class CellRendererTextClass o => CellRendererAccelClass o

Instances

CellRendererAccelClass CellRendererAccel |

castToCellRendererAccel :: GObjectClass obj => obj -> CellRendererAccel

toCellRendererAccel :: CellRendererAccelClass o => o -> CellRendererAccel

# Enums

data CellRendererAccelMode

Constructors

CellRendererAccelModeGtk |
CellRendererAccelModeOther |

Instances

Bounded CellRendererAccelMode |
Enum CellRendererAccelMode |
Eq CellRendererAccelMode |
Show CellRendererAccelMode |

# Constructors

cellRendererAccelNew :: IO CellRendererAccel

Creates a new `CellRendererAccel`.

- Available since Gtk+ version 2.10

# Attributes

cellRendererAccelAccelKey :: CellRendererAccelClass self => Attr self Int

The keyval of the accelerator.

Allowed values: <= GMaxint

Default value: 0

- Available since Gtk+ version 2.10

cellRendererAccelAccelMods :: CellRendererAccelClass self => Attr self [Modifier]

The modifier mask of the accelerator.

- Available since Gtk+ version 2.10

cellRendererAccelKeycode :: CellRendererAccelClass self => Attr self Int

The hardware keycode of the accelerator. Note that the hardware keycode is only relevant if the key does not have a keyval. Normally, the keyboard configuration should assign keyvals to all keys.

Allowed values: <= GMaxint

Default value: 0

- Available since Gtk+ version 2.10

cellRendererAccelAccelMode :: CellRendererAccelClass self => Attr self CellRendererAccelMode

Determines if the edited accelerators are GTK+ accelerators. If they are, consumed modifiers are suppressed, only accelerators accepted by GTK+ are allowed, and the accelerators are rendered in the same way as they are in menus.

Default value: `CellRendererAccelModeGtk`

- Available since Gtk+ version 2.10

# Signals

accelEdited :: CellRendererAccelClass self => Signal self (String -> KeyVal -> Modifier -> KeyCode -> IO ())

Gets emitted when the user has selected a new accelerator.

- Available since Gtk+ version 2.10

accelCleared :: CellRendererAccelClass self => Signal self (String -> IO ())

Gets emitted when the user has removed the accelerator.

- Available since Gtk+ version 2.10